Loading...
Searching...
No Matches
LevelSetSphere.h File Reference

Generate a narrow-band level set of sphere. More...

`#include <openvdb/openvdb.h>`
`#include <openvdb/Grid.h>`
`#include <openvdb/Types.h>`
`#include <openvdb/math/Math.h>`
`#include <openvdb/util/NullInterrupter.h>`
`#include "SignedFloodFill.h"`
`#include <type_traits>`
`#include <tbb/enumerable_thread_specific.h>`
`#include <tbb/parallel_for.h>`
`#include <tbb/parallel_reduce.h>`
`#include <tbb/blocked_range.h>`
`#include <thread>`

Go to the source code of this file.

## Classes

class | LevelSetSphere< GridT, InterruptT >
| Generates a signed distance field (or narrow band level set) to a single sphere. More...

## Namespaces

namespace | openvdb
namespace | openvdb::v10_0
namespace | openvdb::v10_0::tools

## Functions

template<typename GridType, typename InterruptT>
GridType::Ptr | createLevelSetSphere (float radius, const openvdb::Vec3f &center, float voxelSize, float halfWidth=float(LEVEL_SET_HALF_WIDTH), InterruptT *interrupt=nullptr, bool threaded=true)
| Return a grid of type `GridType` containing a narrow-band level set representation of a sphere.
template<typename GridType>
GridType::Ptr | createLevelSetSphere (float radius, const openvdb::Vec3f &center, float voxelSize, float halfWidth=float(LEVEL_SET_HALF_WIDTH), bool threaded=true)
| Return a grid of type `GridType` containing a narrow-band level set representation of a sphere.

## Detailed Description

Generate a narrow-band level set of sphere.

Note
  By definition a level set has a fixed narrow band width (the half width is defined by LEVEL_SET_HALF_WIDTH in Types.h), whereas an SDF can have a variable narrow band width.